﻿@model List<Portal_Proveedor.Models.OnBase.Documentos>
@{
    ViewBag.Title = "ConsultaFacturacion";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>Consulta Facturaci&oacute;n</h2>

<br />
<div class="row">
    <div class="col-md-6">
        <input class="form-control" id="busqueda" type="text" placeholder="Buscar..">
    </div>
</div>
<br />
<div class="table-responsive-md">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                @if (User.IsInRole("admin"))
                {
                    <th scope="col">C&oacute;digo Proveedor</th>
                }
                <th scope="col">Ordenes de Compras</th>
                <th scope="col">N&uacute;mero fiscal</th>
                <th scope="col">Ver</th>
                <th scope="col">Estado</th>

            </tr>
        </thead>
        <tbody id="tabla">
            @foreach (var item in Model)
            {
                <tr>
                    <th scope="row">
                        @item.consecutivo
                    </th>
                    @if (User.IsInRole("admin"))
                    {
                        <td>
                            @item.codigoProveedor
                        </td>
                    }
                    <td>
                        @item.numPO
                    </td>
                    <td>
                        @item.numFiscal
                    </td>
                    <td>
                        <button ID="btnShowPopup" type="button" class="btn btn-info" OnClick="ShowPopup(@item.consecutivo)" title="Seleccione para visualizar la factura">
                            <img src="~/Content/images/lupa_blanca.png" />
                        </button>
                        <div id='@item.consecutivo' style="display: none">
                            <iframe src=@item.documentoPO
                                    type="application/pdf"
                                    style="height:100%; width:100%;"></iframe>

                        </div>
                        @*<a href=@item.documentoPO>test</a>

                        <iframe src="' + @item.documentoPO  + '" frameborder="0" style="border:0; top:0px; left:0px; bottom:0px; right:0px; width:100%; height:100%;" allowfullscreen></iframe>*@
                        
                    </td>
                    <td>
                        @item.estado
                    </td>
                </tr>


            }
        </tbody>
    </table>

    @if (Model.Count() == 0)
    {
        <div class="alert alert-warning" role="alert">
            No hay facturas registradas en el sistema.
        </div>
    }

</div>

<script type="text/javascript">
    $(window).load(function () {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("slow");
    });
    $(window).on('beforeunload', function () {
        $(".se-pre-con").fadeIn(50);
    });
</script>

<script type="text/javascript">

    $(document).ready(function () {
        $("#busqueda").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#tabla tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });

    function ShowPopup(message) {
        $(function () {
            //$("#"+message).html(message);
            $('#'+message).dialog({
                title: "Documento",
                buttons: {
                    Close: function () {
                        $(this).dialog('close');
                    }
                },
                modal: true,
                height: 600,
                width: 450,
            });
        });
    };

</script>
